using PkmnLib.Dynamic.Libraries.DataLoaders;
using PkmnLib.Dynamic.Plugins;

namespace PkmnLib.Tests.Dataloader;

public class GrowthRateDataLoaderTests
{
    [Test]
    public async Task TestPrimaryGrowthRateFile()
    {
        IResourceProvider plugin = new Plugin.Gen7.Gen7Plugin();
        var result = plugin.GetResource(ResourceFileType.GrowthRates)!;
        await using var file = result.Open();
        var library = GrowthRateDataLoader.LoadGrowthRates(file);
        await Assert.That(library).IsNotNull();
    }
}